Bug 200540 - rebooting with an iSCSI volume mounted causes the shutdown to hang.
rebooting with an iSCSI volume mounted causes the shutdown to hang.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Mike Christie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 11:16 EDT by Barry Donahue
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 13:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry Donahue 2006-07-28 11:16:17 EDT
Description of problem: Mount and iSCSI volume and then try shutdown -r now. The
system will hang forever waiting to dismount the filesystems.


Version-Release number of selected component (if applicable): 2.6.17-1.2431.fc6.


How reproducible: Always


Steps to Reproduce:
1.Mount iSCSI volume.
2.shutdown -r now.
3.
  
Actual results: First we get an error shutting down the iSCSI initiator.
 Stopping iSCSI initiator service: KERNEL: assertion
(!atomic_read(&sk->sk_rmem_alloc) failed at net/netlink/af_netlink.c (145)

  Later when trying to unmount the file systems, we get this error.

  Unmounting file systems: iscsi cannot broadcast skb (-3)
                           connection1:0: iscsi detected comm error (1011)


Expected results: The system should shut down cleanly.


Additional info: The iSCSI target is a celerra.
Comment 1 Mike Christie 2006-08-29 23:38:54 EDT
For iscsi the mount must be in fstab with the _netdev option. This prevents
iscsi from stopping before the network and umount scripts are called. Do a man
mount for more info on _netdev. It is something like this:

/dev/sdb               /mnt                    ext3    _netdev         0 0
Comment 2 Mike Christie 2007-06-20 13:46:50 EDT
The netlink error is fixed upstream and the fstab should work for the mount
problem. Closing.

Note You need to log in before you can comment on or make changes to this bug.